Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           konkretcmpi
Version:        0.9.0
Release:        alt1_2
Summary:        Tool for rapid CMPI providers development

License:        MIT
Source0:        https://github.com/rnovacek/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  sblim-cmpi-devel
BuildRequires: ctest cmake
BuildRequires:  python-devel
BuildRequires:  swig
Source44: import.info


%description
KonkretCMPI makes CMPI provider development easier by generating type-safe 
concrete CIM interfaces from MOF definitions and by providing default 
implementations for many of the provider operations.

%package devel
Group: Other
Summary:        Development files for konkretcmpi package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides required files for development using konkretcmpi.

%package -n python-module-konkretcmpi
Group: Other
Summary:        Python bindings for konkretcmpi
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python-module-konkretcmpi
This package contains python binding for konkretcmpi.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{fedora_cmake} -DWITH_PYTHON=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# Don't package .la object
rm -rf $RPM_BUILD_ROOT/usr/lib*/libkonkret.la

%files
%doc README COPYING
%{_bindir}/konkret
%{_bindir}/konkretreg
%{_libdir}/libkonkret.so.0.0.1
%{_libdir}/libkonkretmof.so.0.0.1

%files devel
%{_datadir}/cmake/Modules/FindCMPI.cmake
%{_datadir}/cmake/Modules/FindKonkretCMPI.cmake
%{_includedir}/konkret/konkret.h
%{_libdir}/libkonkret.so
%{_libdir}/libkonkretmof.so

%files -n python-module-konkretcmpi
%{python_sitelibdir}/konkretmof.py*
%{python_sitelibdir}/_konkretmof.so


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_2
- initial fc import

